<?php
/**
 * Support: for advanced array handling
 */
namespace EwTools\Support;

use Illuminate\Support\Arr as baseArr;

/**
 * Arr
 *
 * @link    http://infomaker.se
 * @package EwTools\Support
 * @since   EwTools\Support\Arr 0.1
 */
class Arr extends baseArr {
    
    /**
     * Check whether the array has non-integer keys
     * Note: (not whether the array is sequentially-indexed or zero-indexed)
     *
     * @param array $array
     *
     * @since 0.1
     * @return bool
     */
    public static function hasStringKeys( array $array ) {
        return count(array_filter(array_keys($array), 'is_string')) > 0;
    }
}
